Package org.apache.torque.adapter

# Class NoneAdapter

java.lang.Object
org.apache.torque.adapter.AbstractAdapter
org.apache.torque.adapter.NoneAdapter

All Implemented Interfaces:
  `Serializable`, `Adapter`

public class NoneAdapter extends AbstractAdapter
This DatabaseHandler is used when you do not have a database installed.

Version:
  $Id: NoneAdapter.java 1848527 2018-12-09 16:27:22Z tv $
Author:
  Jon S. Stevens, Brett McLaughlin
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from interface org.apache.torque.adapter.Adapter

  `ADAPTER_KEY, AUTODETECT_ADAPTER, DRIVER_KEY`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `NoneAdapter()`
  Empty protected constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getIDMethodSQL(Object obj)`
  Returns SQL used to get the most recently inserted primary key.
  `IDMethod`
  `getIDMethodType()`
  Returns the constant from the `IDMethod` interface denoting which type of primary key generation method this type of RDBMS uses.
  `String`
  `ignoreCase(String in)`
  This method is used to ignore case.
  `void`
  `lockTable(Connection con, String table)`
  Locks the specified table.
  `boolean`
  `supportsNativeLimit()`
  Returns whether the database can natively limit the size of the ResultSet of a query.
  `boolean`
  `supportsNativeOffset()`
  Returns whether the database natively supports returning results starting at an offset position other than 0.
  `String`
  `toUpperCase(String in)`
  This method is used to ignore case.
  `void`
  `unlockTable(Connection con, String table)`
  Unlocks the specified table.

  ### Methods inherited from class org.apache.torque.adapter.AbstractAdapter

  `escapeText, generateLimits, getStringDelimiter, getUpdateLockClause, ignoreCaseInOrderBy, setCapabilities, useEscapeClauseForLike, useGetGeneratedKeys, useIlike, useMinusForExcept`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NoneAdapter

    protected NoneAdapter()
    Empty protected constructor.

- ## Method Details

  - ### toUpperCase

    public String toUpperCase(String in)
    This method is used to ignore case.
    Specified by:
      `toUpperCase` in interface `Adapter`
    Specified by:
      `toUpperCase` in class `AbstractAdapter`
    Parameters:
      `in` - The string to transform to upper case.
    Returns:
      The upper case string.

  - ### ignoreCase

    public String ignoreCase(String in)
    This method is used to ignore case.
    Specified by:
      `ignoreCase` in interface `Adapter`
    Specified by:
      `ignoreCase` in class `AbstractAdapter`
    Parameters:
      `in` - The string whose case to ignore.
    Returns:
      The string in a case that can be ignored.

  - ### getIDMethodType

    public IDMethod getIDMethodType()
    Description copied from class: `AbstractAdapter`
    Returns the constant from the `IDMethod` interface denoting which type of primary key generation method this type of RDBMS uses.
    Specified by:
      `getIDMethodType` in interface `Adapter`
    Specified by:
      `getIDMethodType` in class `AbstractAdapter`
    Returns:
      IDMethod constant
    See Also:
      - `Adapter.getIDMethodType()`

  - ### getIDMethodSQL

    public String getIDMethodSQL(Object obj)
    Description copied from class: `AbstractAdapter`
    Returns SQL used to get the most recently inserted primary key. Databases which have no support for this return `null`.
    Specified by:
      `getIDMethodSQL` in interface `Adapter`
    Specified by:
      `getIDMethodSQL` in class `AbstractAdapter`
    Parameters:
      `obj` - Information used for key generation.
    Returns:
      The most recently inserted database key.
    See Also:
      - `Adapter.getIDMethodSQL(Object obj)`

  - ### lockTable

    public void lockTable(Connection con, String table) throws SQLException
    Locks the specified table.
    Specified by:
      `lockTable` in interface `Adapter`
    Specified by:
      `lockTable` in class `AbstractAdapter`
    Parameters:
      `con` - The JDBC connection to use.
      `table` - The name of the table to lock.
    Throws:
      `SQLException` - No Statement could be created or executed.

  - ### unlockTable

    public void unlockTable(Connection con, String table) throws SQLException
    Unlocks the specified table.
    Specified by:
      `unlockTable` in interface `Adapter`
    Specified by:
      `unlockTable` in class `AbstractAdapter`
    Parameters:
      `con` - The JDBC connection to use.
      `table` - The name of the table to unlock.
    Throws:
      `SQLException` - No Statement could be created or executed.

  - ### supportsNativeLimit

    public boolean supportsNativeLimit()
    Returns whether the database can natively limit the size of the ResultSet of a query.
    Specified by:
      `supportsNativeLimit` in interface `Adapter`
    Overrides:
      `supportsNativeLimit` in class `AbstractAdapter`
    Returns:
      true if the database natively supports limiting the size of the resultset.

  - ### supportsNativeOffset

    public boolean supportsNativeOffset()
    Returns whether the database natively supports returning results starting at an offset position other than 0.
    Specified by:
      `supportsNativeOffset` in interface `Adapter`
    Overrides:
      `supportsNativeOffset` in class `AbstractAdapter`
    Returns:
      true if the database natively supports returning results starting at an offset position other than 0.